Runtime

## org.eclipse.gmf.runtime.common.ui.action.actions
Class PropertyWindowActionDelegate

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.action.AbstractActionDelegate
          org.eclipse.gmf.runtime.common.ui.action.actions.PropertyWindowActionDelegate

All Implemented Interfaces:
  org.eclipse.gmf.runtime.common.ui.action.IActionWithProgress, IActionDelegate, IActionDelegate2, IEditorActionDelegate, IPartListener, IViewActionDelegate

    public class PropertyWindowActionDelegate

extends org.eclipse.gmf.runtime.common.ui.action.AbstractActionDelegate
implements IEditorActionDelegate, IViewActionDelegate, IActionDelegate2

Action delegate to show the properties window or give it focus if it's already visible.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.gmf.runtime.common.ui.action.IActionWithProgress
`org.eclipse.gmf.runtime.common.ui.action.IActionWithProgress.WorkIndicatorType`

Constructor Summary
`PropertyWindowActionDelegate()`

Method Summary
`protected void` `doRun(IProgressMonitor progressMonitor)`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.AbstractActionDelegate

`dispose, getAction, getActionManager, getLabel, getOperationHistory, getSelection, getStructuredSelection, getWorkbenchPart, getWorkbenchWindow, getWorkIndicatorType, handle, init, init, init, isRunnable, isSetup, needsSetup, openErrorDialog, partActivated, partBroughtToTop, partClosed, partDeactivated, partOpened, refresh, run, run, runWithEvent, selectionChanged, setAction, setActiveEditor, setActivePart, setSetup, setup, setWorkbenchPart, setWorkbenchWindow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorActionDelegate
`setActiveEditor`

Methods inherited from interface org.eclipse.ui.IActionDelegate
`run, selectionChanged`

Methods inherited from interface org.eclipse.ui.IViewActionDelegate
`init`

Methods inherited from interface org.eclipse.ui.IActionDelegate
`run, selectionChanged`

Methods inherited from interface org.eclipse.ui.IActionDelegate2
`dispose, init, runWithEvent`

Methods inherited from interface org.eclipse.ui.IActionDelegate
`run, selectionChanged`

Constructor Detail

### PropertyWindowActionDelegate

    public PropertyWindowActionDelegate()

Method Detail

### doRun

    protected void doRun(IProgressMonitor progressMonitor)

  Specified by:
    `doRun` in class `org.eclipse.gmf.runtime.common.ui.action.AbstractActionDelegate`
  See Also:
    `AbstractActionDelegate.doRun(IProgressMonitor)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.